Remove extension from environment
DELETE
/api/v1/environments/extensions/{env}/{id}
const url = 'https://example.com/api/v1/environments/extensions/example/1';const options = {method: 'DELETE', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://example.com/api/v1/environments/extensions/example/1 \ --header 'Authorization: <Authorization>'Removes an extension from the environment. 404 when it is not assigned to the environment. Environment admins.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”env
required
string
Environment name or UUID
id
required
integer
Extension ID
Responses
Section titled “Responses”OK
Media typeapplication/json
object
assigned
Array<object>
object
command_execution
boolean
description
string
id
integer
name
string
platforms
Array<string>
version
string
available
Array<object>
object
command_execution
boolean
description
string
id
integer
name
string
platforms
Array<string>
version
string
Examplegenerated
{ "assigned": [ { "command_execution": true, "description": "example", "id": 1, "name": "example", "platforms": [ "example" ], "version": "example" } ], "available": [ { "command_execution": true, "description": "example", "id": 1, "name": "example", "platforms": [ "example" ], "version": "example" } ]}Bad request
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Unauthorized
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Forbidden
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Not found
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Internal server error
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}